### Constructor

# RB ButtonBar new

#### Declaration [src]

    GtkWidget*
    rb_button_bar_new (
      GMenuModel* model,
      GObject* target
    )

#### Description [src]

Creates a toolbar-like widget (not actually a `GtkToolbar`) containing a row of buttons representing the items in `model`. If an item in the model has an rb-property-bind attribute set, the state of the button is bound to the corresponding property of the source that the toolbar is associated with. This only works for toggle buttons, so the property must be a boolean.

#### Parameters

`model`

  Type: `GMenuModel`

  A `GMenuModel`.

  The data is owned by the caller of the function.

`target`

  Type: `GObject`

  Property and signal binding target.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

The button bar.

The data is owned by the called function.